XMLWriter::outputMemory
XMLWriter::setIndent
XMLWriter Functions
PHP Manual

# XMLWriter::setIndentString

(PHP 5 >= 5.1.2, PECL xmlwriter >= 0.1.0)

XMLWriter::setIndentString — Set string used for indenting

### Description

Object oriented style

XMLWriter
bool setIndentString ( string `$indentString` )

Procedural style

bool xmlwriter_set_indent_string ( resource `$xmlwriter` , string `$indentString` )

Sets the string which will be used to indent each element/attribute of the resulting xml.

### Parameters

`xmlwriter`

  Only for procedural calls. The XMLWriter resource that is being modified. This resource comes from a call to xmlwriter_open_uri() or xmlwriter_open_memory().

`indentString`

  The indentation string.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- XMLWriter::setIndent - Toggle indentation on/off

XMLWriter::outputMemory
XMLWriter::setIndent
XMLWriter Functions
PHP Manual